#include <iostream>

#include <cv.h>
#include <highgui.h>
#include <windows.h>
#include "usbcam_config.h"

#define src_video_w 640
#define src_video_h 480

using namespace std;

char* winname="USB Capture";

CvCapture *capture;

IplImage *src;

int main(int argc, char **argv){

	char c;
	cvInitSystem(argc,argv);

	cvNamedWindow(winname, CV_WINDOW_AUTOSIZE);
	cvResizeWindow(winname, src_video_w, src_video_h);
	cvMoveWindow(winname, 0, 0);

	capture = cvCaptureFromCAM(-1);

	if( !capture ){
		fprintf(stderr,"Could not initialize capturing...\n");
		return -1;
	}

	usbcam_config(capture, src_video_w, src_video_h);

	for(;;){
    
		src = cvQueryFrame( capture );

		if( !src ){
			break;
		}
  
		cvShowImage(winname, src );
      
		c = cvWaitKey(10);
		if( c == 27 ){
			break;
		}
	}
  
	cvReleaseCapture( &capture );

	cvDestroyWindow(winname);

	return 0;
}
